runBUGS = function (model, dataList, initsFunc, parameters, nBurnin=500, chainLength=1000, thinSteps=1, nChains=4) {
#runs JAGS base on the runjags library (readily provides DIC and diagnostics)
library(runjags)

#inits must be parsed as a list
initsList=list()
for (xx in 1:nChains) {
	initsList[[xx]]=initsFunc()
}	


samples=run.jagsfile(path=model, 
			monitor=c(parameters,"dic"),
			data=dataList, 
			n.chains=nChains,
			inits = initsList,
			burnin = nBurnin,
			sample = chainLength*thinSteps, 
			plots = T, 
			thin = thinSteps, 
			monitor.deviance = TRUE, 
			monitor.pd = TRUE, 
			monitor.pd.i = TRUE, 
			monitor.popt = TRUE,
			silent.jags=F)

#print dic to screen
print(samples$dic)

return(samples)			
}
		